import { style as _style3 } from 'antd/lib/row/style';
import _default3 from 'antd/lib/row';
import { style as _style2 } from 'antd/lib/col/style';
import _default2 from 'antd/lib/col';
import { style as _style } from 'antd/lib/button/style';
import _default from 'antd/lib/button';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp;

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';

import { TOOLBAR } from '../../utils/Issuers';
import withIssuer from '../../hocs/withIssuer';

var Group = _default.Group;


var styles = {
	container: {
		marginBottom: 24
	},
	right: {
		textAlign: 'right'
	}
};

var Toolbar = (_dec = withIssuer({ issuer: TOOLBAR }), _dec(_class = (_temp = _class2 = function (_Component) {
	_inherits(Toolbar, _Component);

	function Toolbar() {
		_classCallCheck(this, Toolbar);

		return _possibleConstructorReturn(this, (Toolbar.__proto__ || Object.getPrototypeOf(Toolbar)).apply(this, arguments));
	}

	_createClass(Toolbar, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    left = _props.left,
			    right = _props.right;

			return React.createElement(
				'div',
				{ style: styles.container },
				React.createElement(
					_default3,
					{ justify: 'space-around' },
					React.createElement(
						_default2,
						{ span: 12 },
						React.createElement(
							Group,
							null,
							left
						)
					),
					React.createElement(
						_default2,
						{ span: 12, style: styles.right },
						right
					)
				)
			);
		}
	}]);

	return Toolbar;
}(Component), _class2.propTypes = {
	left: PropTypes.node,
	right: PropTypes.node
}, _temp)) || _class);
export { Toolbar as default };