var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

import React, { Component } from 'react';
import PropTypes from 'prop-types';
import hoist, { extractRef } from '../hoist';
import { withStoreProvider } from '../withStore';
import { observer } from 'mobx-react';

export default function withTable() {
	var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

	var storePropName = options.prop || 'store';
	return function createWithTableComponent(WrappedComponent) {
		var _dec, _dec2, _class, _class2, _temp;

		var WithTable = (_dec = hoist(WrappedComponent), _dec2 = withStoreProvider(options), _dec(_class = _dec2(_class = observer(_class = (_temp = _class2 = function (_Component) {
			_inherits(WithTable, _Component);

			function WithTable() {
				_classCallCheck(this, WithTable);

				return _possibleConstructorReturn(this, (WithTable.__proto__ || Object.getPrototypeOf(WithTable)).apply(this, arguments));
			}

			_createClass(WithTable, [{
				key: 'getChildContext',


				// DEPRECATED
				value: function getChildContext() {
					return {
						store: this.props[storePropName]
					};
				}
				// DEPRECATED

			}, {
				key: 'componentDidMount',
				value: function componentDidMount() {
					var store = this.props[storePropName];
					store && store.setupQuery();
				}
			}, {
				key: 'render',
				value: function render() {
					return React.createElement(WrappedComponent, extractRef(this.props));
				}
			}]);

			return WithTable;
		}(Component), _class2.childContextTypes = {
			store: PropTypes.object
		}, _temp)) || _class) || _class) || _class);


		return WithTable;
	};
}