'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.default = undefined;

var _style4 = require('antd/lib/row/style');

var _row = require('antd/lib/row');

var _row2 = _interopRequireDefault(_row);

var _style5 = require('antd/lib/col/style');

var _col = require('antd/lib/col');

var _col2 = _interopRequireDefault(_col);

var _style6 = require('antd/lib/button/style');

var _button = require('antd/lib/button');

var _button2 = _interopRequireDefault(_button);

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _dec, _class, _class2, _temp;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _Issuers = require('../../utils/Issuers');

var _withIssuer = require('../../hocs/withIssuer');

var _withIssuer2 = _interopRequireDefault(_withIssuer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var Group = _button2.default.Group;


var styles = {
	container: {
		marginBottom: 24
	},
	right: {
		textAlign: 'right'
	}
};

var Toolbar = (_dec = (0, _withIssuer2.default)({ issuer: _Issuers.TOOLBAR }), _dec(_class = (_temp = _class2 = function (_Component) {
	_inherits(Toolbar, _Component);

	function Toolbar() {
		_classCallCheck(this, Toolbar);

		return _possibleConstructorReturn(this, (Toolbar.__proto__ || Object.getPrototypeOf(Toolbar)).apply(this, arguments));
	}

	_createClass(Toolbar, [{
		key: 'render',
		value: function render() {
			var _props = this.props,
			    left = _props.left,
			    right = _props.right;

			return _react2.default.createElement(
				'div',
				{ style: styles.container },
				_react2.default.createElement(
					_row2.default,
					{ justify: 'space-around' },
					_react2.default.createElement(
						_col2.default,
						{ span: 12 },
						_react2.default.createElement(
							Group,
							null,
							left
						)
					),
					_react2.default.createElement(
						_col2.default,
						{ span: 12, style: styles.right },
						right
					)
				)
			);
		}
	}]);

	return Toolbar;
}(_react.Component), _class2.propTypes = {
	left: _propTypes2.default.node,
	right: _propTypes2.default.node
}, _temp)) || _class);
exports.default = Toolbar;